org.firebirdsql.jdbc

## Interface JdbcVersionSupport

All Known Implementing Classes:
  Jdbc41VersionSupport

    public interface JdbcVersionSupport

Interface to mediate between differences in JDBC versions.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

Methods
`java.sql.BatchUpdateException` `createBatchUpdateException(java.lang.String reason, java.lang.String SQLState, int vendorCode, long[] updateCounts, java.lang.Throwable cause)` Constructs a `BatchUpdateException`.

### Method Detail

#### createBatchUpdateException

    java.sql.BatchUpdateException createBatchUpdateException(java.lang.String reason,
                                                           java.lang.String SQLState,
                                                           int vendorCode,
                                                           long[] updateCounts,
                                                           java.lang.Throwable cause)

Constructs a `BatchUpdateException`.

For JDBC versions < 4.2, the `updateCounts` can be converted to integers without taking overflow into account.

Parameters:
  `reason` - A description of the error
  `SQLState` - SQL state of the error
  `vendorCode` - Vendor specific error code (use `0` if there is no specific error code)
  `updateCounts` - An array of `long` update counts
  `cause` - Underlying cause (may be `null`).
Returns:
  The created BatchUpdateException.